# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: pr.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='pr.proto',
  package='',
  syntax='proto3',
  serialized_options=_b('Z\"github.com/example/rpc/haberdasher'),
  serialized_pb=_b('\n\x08pr.proto\"\x1b\n\nDollarRate\x12\r\n\x05value\x18\x01 \x01(\x02\"\x07\n\x05\x45mpty23\n\x0bRateService\x12$\n\rGetDollarRate\x12\x06.Empty\x1a\x0b.DollarRateB$Z\"github.com/example/rpc/haberdasherb\x06proto3')
)




_DOLLARRATE = _descriptor.Descriptor(
  name='DollarRate',
  full_name='DollarRate',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='value', full_name='DollarRate.value', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=12,
  serialized_end=39,
)


_EMPTY = _descriptor.Descriptor(
  name='Empty',
  full_name='Empty',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=41,
  serialized_end=48,
)

DESCRIPTOR.message_types_by_name['DollarRate'] = _DOLLARRATE
DESCRIPTOR.message_types_by_name['Empty'] = _EMPTY
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

DollarRate = _reflection.GeneratedProtocolMessageType('DollarRate', (_message.Message,), dict(
  DESCRIPTOR = _DOLLARRATE,
  __module__ = 'pr_pb2'
  # @@protoc_insertion_point(class_scope:DollarRate)
  ))
_sym_db.RegisterMessage(DollarRate)

Empty = _reflection.GeneratedProtocolMessageType('Empty', (_message.Message,), dict(
  DESCRIPTOR = _EMPTY,
  __module__ = 'pr_pb2'
  # @@protoc_insertion_point(class_scope:Empty)
  ))
_sym_db.RegisterMessage(Empty)


DESCRIPTOR._options = None

_RATESERVICE = _descriptor.ServiceDescriptor(
  name='RateService',
  full_name='RateService',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=50,
  serialized_end=101,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetDollarRate',
    full_name='RateService.GetDollarRate',
    index=0,
    containing_service=None,
    input_type=_EMPTY,
    output_type=_DOLLARRATE,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_RATESERVICE)

DESCRIPTOR.services_by_name['RateService'] = _RATESERVICE

# @@protoc_insertion_point(module_scope)
